.\" Copyright 1988, 1998  The Open Group
.\" 
.\" Permission to use, copy, modify, distribute, and sell this software and its
.\" documentation for any purpose is hereby granted without fee, provided that
.\" the above copyright notice appear in all copies and that both that
.\" copyright notice and this permission notice appear in supporting
.\" documentation.
.\" 
.\" The above copyright notice and this permission notice shall be included
.\" in all copies or substantial portions of the Software.
.\" 
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
.\" OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
.\" MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
.\" IN NO EVENT SHALL THE OPEN GROUP BE LIABLE FOR ANY CLAIM, DAMAGES OR
.\" OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
.\" ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
.\" OTHER DEALINGS IN THE SOFTWARE.
.\" 
.\" Except as contained in this notice, the name of The Open Group shall
.\" not be used in advertising or otherwise to promote the sale, use or
.\" other dealings in this Software without prior written authorization
.\" from The Open Group.
.\" 
.\" 
.TH XSEL 1 0.04
.SH NAME
xsel - access the X selection from command line
.SH SYNOPSIS
.B xsel 
(\fI--paste\fP | \fI--copy\fP [\fIstring\fP] | \fI--merge\fP [\fIstring\fP])
[-display \fIdisplay\fP]
[-selection \fIselection\fP]
.SH DESCRIPTION
This program is used to access the X selection (PRIMARY, SECONDARY,
CLIBOARD) from command line.
.SH ACTIONS
.PP
.TP 8
.B \-p or \--paste
Paste the current X selection to (if any) standard output and exit.
.PP
.TP 8
.B \-c or \--copy
Read the input from the standard input to offer is as the X selection. Note
that the X selection model has no concept of selection
buffer on the server. Rather, the client that holds the current
selection makes it available to the other clients and has to wait 
until someone requests it. Hence, xsel forks and serves the selection 
requests until someone else claims the selection.
The copied string can also be given on command line
rather than through standard input: --copy "string to copy".
.PP
.TP 8
.B \-m or \--merge
Same as --copy, but merge the input to the current selection
instead of overwriting it.
.SH OPTIONS
.PP
.TP 8
.B \-display \fIdisplay\fP
This option specifies the server to use; see \fIX(7x)\fP.
.PP
.TP 8
.B \-s \fIselection\fP or \--selection \fIselection\fP
This option specifies which X selection to use: PRIMARY (default),
SECONDARY or CLIPBOARD. You can also use abbreviations P, p, S, s,
C and c.
There are some historical conventions:
PRIMARY is used for mouse selection, middle mouse button paste, and
explicit cut/copy/paste menu items (Qt, Emacs)
CLIPBOARD is USED for the Windows-style cut/copy/paste menu items;
use PRIMARY for the currently-selected text, even if it isn't
explicitly copied, and for middle-mouse-click (Netscape, Mozilla,
XEmacs, some GTK+ apps)
Generally, SECONDARY is not used.

.SH EXAMPLES
.PP
.TP 8
.B ls | xsel --copy
Copy \fIls\fP output to X selection.
.PP
.TP 8
.B xsel --copy Hello
Copy the string "Hello" to X selection.
.PP
.TP 8
.B xsel --merge Hello
Merge the string "Hello" to the current X selection.
.PP
.TP 8
.B xsel --selection CLIPBOARD --copy Hello
Copy the string "Hello" to X SECONDARY selection.
.PP
.TP 8
.B xsel --paste | wc
Count words in the current X selection.

.SH BUGS
Xsel sometimes opens a small window that is not always visible. With my
configuration, it never shows up, so I'm not eager enough to figure out how
to get rid of it.

.SH "SEE ALSO"
X(7x), xcutsel(1)

.SH AUTHOR
Ralph Swick (DEC/Project Athena) wrote xcutsel, xsel is based on it.
Ville Herva <Ville.Herva@iki.fi> wrote xsel.
